> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vertgroup.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Pending



## OpenAPI

````yaml https://api.vertgroup.com.br/openapi.json get /jobs/pending
openapi: 3.1.0
info:
  title: SGG Automation — DOM Med
  version: 1.0.0
servers: []
security: []
paths:
  /jobs/pending:
    get:
      tags:
        - Job
      summary: List Pending
      operationId: list_pending_jobs_pending_get
      parameters:
        - name: X-Worker-Api-Key
          in: header
          required: true
          schema:
            type: string
            title: X-Worker-Api-Key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/JobDetailResponse'
                title: Response List Pending Jobs Pending Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    JobDetailResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        automation_id:
          type: string
          format: uuid
          title: Automation Id
        user_id:
          type: string
          format: uuid
          title: User Id
        status:
          $ref: '#/components/schemas/JobStatus'
        created_at:
          type: string
          format: date-time
          title: Created At
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        finished_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Finished At
        worker_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Worker Id
        context:
          type: object
          title: Context
        result:
          anyOf:
            - type: object
            - type: 'null'
          title: Result
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
      type: object
      required:
        - id
        - automation_id
        - user_id
        - status
        - created_at
        - started_at
        - finished_at
        - worker_id
        - context
        - result
        - error_message
      title: JobDetailResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    JobStatus:
      type: string
      enum:
        - pending
        - running
        - completed
        - failed
      title: JobStatus
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````